/* 
    TowBowlTactics: Strategy game for X11

    Copyright (C) 2001 Pascal Bourut (toweld@rocketmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef DICE_H
#define DICE_H

#include "global.h"

/**
 * Classe representant un de a x faces
 * @doc 
 * @author Toweld
 * @version 0.2
 */

class Dice{
 public:
  /**
   * Constructeur
   * @param t type du de a fabriquer
   */
  Dice(int=D6);
  /**
   * Destructeur par defaut
   */
  ~Dice();
  /**
   * Pour effectuer un lancer de de
   * @return resultat obtenu
   */
  int roll(); 
  /**
   * Pour effectuer un lancer de plusieurs des 
   * @param x nombre de des a lancer
   * @return resultat cumule des x des
   */
  int roll(int);
 protected:
  int type; 
};

#endif
