/* 
    TowBowlTactics: Strategy game for X11

    Copyright (C) 2002 Pascal Bourut (toweld@rocketmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef NOVIDEO

#ifndef MOVIEPLAYER_H
#define MOVIEPLAYER_H

#include "global.h"
#include "movies.h"

#include <smpeg/smpeg.h>
#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>

#ifndef NOSOUND
#include "SoundPlayer.h" 
#endif

class MoviePlayer{
 public:
  MoviePlayer(void);

#ifndef NOSOUND
	void set_sound_player(SoundPlayer*);
#endif

  ~MoviePlayer(void);
  void play_video(int i,SDL_Surface*);

 private:

#ifndef NOSOUND
	SoundPlayer *sp;
#endif
	 SMPEG_Info info;
};
#endif


#else
;
#endif









